List Custom Sounds

Prev Next
Get
/api/v1/custom-sounds.list

List all custom sounds.

Changelog

Version Description
9.0.0 Removed the query parameter.
2.4.0 Added
2.4.0 Added name query parameter for filtering.
Header parameters
X-Auth-Token
stringRequired

The authToken of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-Id
stringRequired

The userId of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ
Query parameters
offset
integer

Number of items to "skip" in the query, i.e. requests return count items, skipping the first offset items. Refer to the official documentation to learn more.

Example50
count
integer

The number of items to return. Refer to the official documentation to learn more.

Example50
name
string

Filter list by the name of the custom sound.

Exampledrill
sort

Sort the results in ascending (1) or descending (-1) order. The options are:

  • name: Sort the results by name. For example, sort={"name": 1} (default) or sort={"name": -1}.
  • _id: Sort by ID. For example, sort={"_id": 1} or sort={"_id": -1}.
Responses
200

OK

Success
{
  "sounds": [
    {
      "_id": "65462caea2f73c7460e18f83",
      "name": "doremi",
      "extension": "mp3",
      "_updatedAt": "2023-11-04T11:36:14.171Z"
    }
  ],
  "count": 1,
  "offset": 0,
  "total": 1,
  "success": true
}
Expand All
object
sounds
Array of object
object
_id
string
name
string
extension
string
_updatedAt
string
count
integer
offset
integer
total
integer
success
boolean
401

Unauthorized

Authorization Error
{
  "success": false,
  "error": "You must be logged in to do this."
}
object
success
boolean
error
string